(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('ng2-truncate'), require('hyper-jobs-services'), require('@angular/core'), require('rxjs/Rx'), require('@angular/http'), require('@angular/router'), require('@angular/material'), require('@angular/forms'), require('@angular/common'), require('@angular/platform-browser'), require('ngx-toastr/index')) :
	typeof define === 'function' && define.amd ? define(['exports', 'ng2-truncate', 'hyper-jobs-services', '@angular/core', 'rxjs/Rx', '@angular/http', '@angular/router', '@angular/material', '@angular/forms', '@angular/common', '@angular/platform-browser', 'ngx-toastr/index'], factory) :
	(factory((global['hyper-jobs-search-component'] = {}),global.index,global.hyperJobsServices,global.core,global.Rx,global.http,global.router,global.material,global.forms,global.common,global.platformBrowser,global.index$1));
}(this, (function (exports,index,hyperJobsServices,core,Rx,http,router,material,forms,common,platformBrowser,index$1) { 'use strict';

// import { environment } from './../../environments/environment';
var SearchService = (function () {
    /**
     * @param {?} http
     * @param {?} environment
     * @param {?} _hyperCookieService
     */
    function SearchService(http$$1, environment, _hyperCookieService) {
        this.http = http$$1;
        this.environment = environment;
        this._hyperCookieService = _hyperCookieService;
        this.headers = new http.Headers({
            'accept-language': 'pt-BR',
            'Content-Type': 'application/json'
        });
    }
    /**
     * @param {?} filter
     * @return {?}
     */
    SearchService.prototype.searchPro = function (filter) {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http.post(this.environment.apiUrl + 'job/professional/search', JSON.stringify(filter), options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} filter
     * @return {?}
     */
    SearchService.prototype.searchJob = function (filter) {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http.post(this.environment.apiUrl + 'job/sponsor/search', JSON.stringify(filter), options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @return {?}
     */
    SearchService.prototype.allCities = function () {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'all/address', options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @return {?}
     */
    SearchService.prototype.getCategories = function () {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'shared/category', options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} id
     * @return {?}
     */
    SearchService.prototype.getSubCategories = function (id) {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'shared/subcategory/' + id, options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} obj
     * @return {?}
     */
    SearchService.prototype.competeJobsPartner = function (obj) {
        var /** @type {?} */ headersAux = new http.Headers({
            'Authorization': 'Bearer ' + this._hyperCookieService.getCookie().JWT,
            'accept-language': 'pt-BR',
            'Content-Type': 'application/json'
        });
        var /** @type {?} */ options = new http.RequestOptions({ headers: headersAux }); //  Create a request option
        return this.http
            .post(this.environment.apiUrl + 'job/competejob/jobspartner', JSON.stringify(obj), options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} filters
     * @return {?}
     */
    SearchService.prototype.getZipRecruiter = function (filters) {
        var /** @type {?} */ auxFilters = {
            search: filters.search ? filters.search : 'home',
            location: filters.location ? filters.location : 'all',
            radius_miles: filters.radius_miles ? filters.radius_miles : 'all',
            page: filters.page ? filters.page : '1',
            jobs_per_page: filters.jobs_per_page ? filters.jobs_per_page : '20',
            days_ago: filters.days_ago ? filters.days_ago : 'all',
        };
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'job/filter/jobspartner/'
            + auxFilters.search + '/'
            + auxFilters.location + '/'
            + auxFilters.radius_miles + '/'
            + auxFilters.page + '/'
            + auxFilters.jobs_per_page + '/'
            + auxFilters.days_ago, options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    return SearchService;
}());
SearchService.decorators = [
    { type: core.Injectable },
];
/**
 * @nocollapse
 */
SearchService.ctorParameters = function () { return [
    { type: http.Http, },
    { type: undefined, decorators: [{ type: core.Inject, args: ['environments',] },] },
    { type: hyperJobsServices.HyperCookieService, },
]; };

var FilterJobComponent = (function () {
    /**
     * @param {?} _searchService
     */
    function FilterJobComponent(_searchService) {
        var _this = this;
        this._searchService = _searchService;
        this.filterOutput = new core.EventEmitter();
        this.subscribeAllCities = new Rx.Subscription;
        this.toggle_categories = new Rx.Subscription;
        this.toggle_subcategories = new Rx.Subscription;
        this.filter = {};
        this.city = '';
        this.categories = [];
        this.idCategory = -1;
        this.subcategories = [];
        this.subSelected = [];
        hyperJobsServices.BroadcastEventService.event('clearFilter').subscribe(function (eventFilter) {
            console.log('clearFilter', eventFilter);
            _this.filter = eventFilter;
            _this.subSelected = [];
            _this.subcategories = [];
            _this.idCategory = -1;
            _this.city = '';
        });
        this.toggle_categories = this._searchService.getCategories().subscribe(function (response) {
            if (response.return) {
                // this._toastrService.success(response.msg, 'Sucesso');
                // o que fazer
                _this.categories = response.data;
            }
            else {
                // this._toastrService.error(response.msg, 'Erro!');
            }
        }, function (err) {
            // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
        });
    }
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.ngOnInit = function () {
        this.cities();
        this.filterInit();
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.ngOnDestroy = function () {
        this.subscribeAllCities.unsubscribe();
        this.toggle_categories.unsubscribe();
        this.toggle_subcategories.unsubscribe();
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.filterInit = function () {
        this.filter = this.filterInput;
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.cities = function () {
        var _this = this;
        this.subscribeAllCities = this._searchService.allCities().subscribe(function (data) {
            if (data.return) {
                _this.allCities = data.data;
            }
        });
    };
    /**
     * @param {?} value
     * @param {?=} maxResults
     * @return {?}
     */
    FilterJobComponent.prototype.citiesSearch = function (value, maxResults) {
        if (maxResults === void 0) { maxResults = 10; }
        if (value === '' && this.filter['city'] !== 'all') {
            this.filter['city'] = 'all';
            this.listCities = [];
            this.filterOutput.emit(this.filter);
            return;
        }
        if (value === '') {
            this.listCities = [];
            return;
        }
        var /** @type {?} */ result = [];
        for (var /** @type {?} */ index$$1 = 0; index$$1 < this.allCities.length; index$$1++) {
            var /** @type {?} */ re = new RegExp(value, 'i');
            if (re.test(this.allCities[index$$1].city)) {
                result.push(this.allCities[index$$1]);
                if (result.length === maxResults) {
                    break;
                }
            }
        }
        this.listCities = result;
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.selectCity = function () {
        this.filter['city'] = this.city || 'all';
        this.filterOutput.emit(this.filter);
        this.listCities = null;
    };
    /**
     * @param {?} location
     * @return {?}
     */
    FilterJobComponent.prototype.SetJobLocation = function (location) {
        this.filter['location'] = location;
        this.filterOutput.emit(this.filter);
        // console.log(this.filter);
    };
    /**
     * @param {?} type
     * @return {?}
     */
    FilterJobComponent.prototype.SetJobType = function (type) {
        this.filter['jobtype'] = type;
        this.filterOutput.emit(this.filter);
        // // console.log(this.filter);
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.setAllCategories = function () {
        this.subSelected = [];
        this.subcategories = [];
        this.idCategory = -1;
        // this.filterInit();
        this.filterOutput.emit(this.filter);
        // console.log(this.filter);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterJobComponent.prototype.getSubcategories = function (id) {
        var _this = this;
        if (this.idCategory !== id) {
            this.subSelected = [];
            this.idCategory = id;
            this.toggle_subcategories = this._searchService.getSubCategories(id).subscribe(function (response) {
                if (response.return) {
                    // this._toastrService.success(response.msg, 'Sucesso');
                    // o que fazer
                    _this.subcategories = response.data;
                }
                else {
                    // this._toastrService.error(response.msg, 'Erro!');
                }
            }, function (err) {
                // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
            });
        }
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterJobComponent.prototype.getInterests = function (id) {
        var /** @type {?} */ haveId = this.subSelected.indexOf(id);
        if (haveId >= 0) {
            this.subSelected.splice(haveId, 1);
            if (this.subSelected.length < 1) {
                this.filter['interest'] = 'all';
            }
        }
        else {
            this.subSelected.push(id);
            this.filter['interest'] = this.subSelected.toString().replace(',', ' ');
        }
        this.filterOutput.emit(this.filter);
    };
    /**
     * @param {?} grade
     * @return {?}
     */
    FilterJobComponent.prototype.setAvaliation = function (grade) {
        this.filter['avaliation'] = grade;
        this.filterOutput.emit(this.filter);
        // console.log(this.filter);
    };
    /**
     * @param {?} day
     * @return {?}
     */
    FilterJobComponent.prototype.setPosted = function (day) {
        this.filter['posted'] = day;
        this.filterOutput.emit(this.filter);
    };
    return FilterJobComponent;
}());
FilterJobComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'app-filter-job',
                template: "<div class=\"filterBlock\"> <div class=\"localizationBlock block\"> <label for=\"localizationFilter\">Localização</label> <div id=\"localizationFilter\"> <div class=\"pointer\" [ngClass]=\"filter['location'] === 'national' ? 'option-active' : ''\" (click)=\"SetJobLocation('national')\">Nacionais</div> <div class=\"pointer\" [ngClass]=\"filter['location'] === 'international' ? 'option-active' : ''\" (click)=\"SetJobLocation('international')\">Internacionais</div> </div> </div> <div class=\"typeBlock block\" *ngIf=\"filter['location'] === 'national'\"> <label for=\"typeFilter\">Tipo de Job</label> <div id=\"typeFilter\"> <div class=\"pointer\" [ngClass]=\"filter['jobtype'] === 'all' ? 'option-active' : ''\" (click)=\"SetJobType('all')\">Todos</div> <div class=\"pointer\" [ngClass]=\"filter['jobtype'] === 'online' ? 'option-active' : ''\" (click)=\"SetJobType('online')\">Home Office</div> <div class=\"pointer\" [ngClass]=\"filter['jobtype'] === 'offline' ? 'option-active' : ''\" (click)=\"SetJobType('offline')\">Presencial</div> </div> </div> <div class=\"cityBlock block\"> <label for=\"cityFilter\">Filtrar por Cidade</label> <div class=\"inputBlock\"> <input id=\"cityFilter\" [(ngModel)]=\"city\" type=\"text\" name=\"city\" (keypress)=\"citiesSearch(city)\" (keyup.enter)=\"selectCity()\" placeholder=\"Ex.: São Paulo\"> <button (click)=\"selectCity()\"> <i class=\"fa fa-search\" aria-hidden=\"true\"></i> </button> </div> <div class=\"resultsCities\" *ngIf=\"listCities\"> <ul class=\"citiesList\"> <ng-container *ngFor=\"let item of listCities\"> <li class=\"city\" (click)=\"selectCity(item.city); city = item.city \">{{ [item.city,item.uf,item.coutry].join(', ') }}</li> </ng-container> </ul> </div> </div> <div class=\"InterestsBlock  block\" *ngIf=\"filter['location'] === 'national'\"> <label for=\"interestFilter\">Área de interesse</label> <div id=\"interestFilter\"> <div class=\"pointer\" [ngClass]=\"idCategory === -1 ? 'option-active' : ''\" (click)=\"setAllCategories()\"> Todas as Áreas </div> <ng-container *ngFor=\"let category of categories\"> <div class=\"pointer\" [ngClass]=\"idCategory === category.id ? 'option-active' : ''\" (click)=\"getSubcategories(category.id)\"> {{category.description}} </div> <ng-container *ngIf=\"idCategory === category.id\"> <div class=\"checkbox-container\"> <div class=\"subcategory\" *ngFor=\"let subcategory of subcategories\"> <input [id]=\"subcategory.id\" type=\"checkbox\" class=\"checkbox-hj\" (change)=\"getInterests(subcategory.id)\" value=\"subcategory.id\"> <label [for]=\"subcategory.id\" class=\"checkbox-hj-label\">{{subcategory.description}}</label> </div> </div> </ng-container> </ng-container> </div> </div> <div class=\"AvaliationBlock  block\" *ngIf=\"filter['location'] === 'national'\"> <label for=\"avaliationFilter\">Avaliação</label> <div id=\"avaliationFilter\"> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === 'any' ? 'option-active' : ''\" (click)=\"setAvaliation('any')\">Qualquer Ranking</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '5' ? 'option-active' : ''\" (click)=\"setAvaliation('5')\">5 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '4' ? 'option-active' : ''\" (click)=\"setAvaliation('4')\">Pelo menos 4 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '3' ? 'option-active' : ''\" (click)=\"setAvaliation('3')\">Pelo menos 3 estrelas</div> </div> </div> <div class=\"PostedBlock  block\" *ngIf=\"filter['location'] === 'international'\"> <label for=\"PostedFilter\">Postado</label> <div id=\"PostedFilter\"> <div class=\"pointer\" [ngClass]=\"filter['posted'] === 'all' ? 'option-active' : ''\" (click)=\"setPosted('all')\">Qualquer Dia</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '30' ? 'option-active' : ''\" (click)=\"setPosted('30')\">Há 30 dias atrás</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '10' ? 'option-active' : ''\" (click)=\"setPosted('10')\">Há 10 dias atrás</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '5' ? 'option-active' : ''\" (click)=\"setPosted('5')\">Há 5 dias atrás</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '1' ? 'option-active' : ''\" (click)=\"setPosted('1')\">Há 1 dias atrás</div> </div> </div> </div>",
                styles: ["label { width: 100%; color: #575757; margin: 10px 0; text-align: left; } .block { border-bottom: 1px solid #999; padding: 30px; } .filterBlock { background-color: #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .inputBlock { position: relative; } .inputBlock input { width: 100%; padding: 15px; height: 40px; border-radius: 30px; border: 1px solid #ccc; } .inputBlock button { position: absolute; right: 0; bottom: 0; top: 0; width: 40px; background: none; border: none; outline: none; border-radius: 0 30px 30px 0; } .inputBlock button i { color: inherit; } .resultsCities { position: relative; } .resultsCities .citiesList { position: absolute; z-index: 1; width: 100%; background-color: #fff; list-style: none; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .resultsCities .citiesList .city { padding: 10px 20px; text-align: left; cursor: pointer; } .resultsCities .citiesList .city:hover { font-weight: bold; } .option-active { color: #41c5d2; font-weight: bold; } .pointer { cursor: pointer; } .InterestsBlock ul li { font-size: 12px; } .btn-clear { text-align: center; } "]
            },] },
];
/**
 * @nocollapse
 */
FilterJobComponent.ctorParameters = function () { return [
    { type: SearchService, },
]; };
FilterJobComponent.propDecorators = {
    'filterOutput': [{ type: core.Output },],
    'filterInput': [{ type: core.Input },],
};

var ResultJobComponent = (function () {
    /**
     * @param {?} environment
     * @param {?} _searchService
     * @param {?} router
     */
    function ResultJobComponent(environment, _searchService, router$$1) {
        this.environment = environment;
        this._searchService = _searchService;
        this.router = router$$1;
        this.vacanciesFilter = new Rx.Subscription;
    }
    /**
     * @param {?} job
     * @return {?}
     */
    ResultJobComponent.prototype.moreLessDetails = function (job) {
        job.truncated = !job.truncated;
        if (job.truncated) {
            job.truncateText = ' Ver mais';
        }
        else {
            job.truncateText = ' Ver menos';
        }
    };
    /**
     * @param {?} source
     * @param {?} urlParthner
     * @param {?} id
     * @return {?}
     */
    ResultJobComponent.prototype.redirect_correctJob = function (source, urlParthner, id) {
        if (source === 'Hyper.Jobs') {
            var /** @type {?} */ urlRedirect = this.environment.jobsOpportunitiesURL + 'worker/jobs/vacancies/details/' + id;
            window.open(urlRedirect);
        }
        else {
            var /** @type {?} */ objPartner = {
                'id': id,
                'link': urlParthner,
                'source': source
            };
            this.vacanciesFilter = this._searchService.competeJobsPartner(objPartner).subscribe(function (response) {
                if (response.return) {
                    // location.href = urlParthner;
                    window.open(urlParthner, '_blank');
                }
            });
        }
    };
    /**
     * @param {?} value
     * @return {?}
     */
    ResultJobComponent.prototype.isZero = function (value) {
        var /** @type {?} */ aux = 0;
        if (value) {
            aux = (value.split('.').join('')).split(',').join('');
        }
        return Number(aux);
    };
    return ResultJobComponent;
}());
ResultJobComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'search-result-job',
                template: "<span *ngIf=\"filter['location']!=='international'\"> <mat-card class=\"card-job pointer\" *ngFor=\"let job of result; let index = index;\" (click)=\"redirect_correctJob(job.source,job.urlParthner,job.id)\"> <mat-card-header> <mat-card-title> <div class=\"job-title\">{{job.name}}</div> <div class=\"viewsBlock\"> <span class=\"rating\"> <i class=\"fa fa-star{{ job.rating < 1?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 2?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 3?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 4?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 5?'-o':'' }}\" aria-hidden=\"true\"></i> </span> <span class=\"views\"> <i class=\"fa fa-eye\" aria-hidden=\"true\"></i> {{job.views}} </span> </div> <div>{{ job.jobType == 'online' ? 'HOME OFFICE' : 'PRESENCIAL' }} - <span class=\"job-price\" *ngIf=\"isZero(job.salary)!== 0\">{{ job.coin_symbol }}: {{ job.salary }}</span> <span class=\"job-price\" *ngIf=\"isZero(job.salary)=== 0\">A COMBINAR</span> </div> </mat-card-title> </mat-card-header> <mat-card-content> <div class=\"section-description-title\">DESCRIÇÃO DO JOB</div> <div class=\"job-description\"> <span [innerHTML]=\"job.description | truncate: [job.truncated ? '170' : 'job.description.length']\"></span> <a *ngIf=\"job.needTruncate\" class=\"truncate\" (click)=\"moreLessDetails(job)\">{{job.truncateText}}</a> </div> </mat-card-content> </mat-card> </span> <span *ngIf=\"filter['location']==='international'\"> <mat-card class=\"card-job pointer\" *ngFor=\"let job of result; let index = index;\" (click)=\"redirect_correctJob(job.source,job.url,job.id)\"> <mat-card-header> <mat-card-title> <div class=\"job-title\">{{job.name}}</div> <div class=\"posted\"> <i class=\"fa fa-clock-o\" aria-hidden=\"true\"></i> {{job.posted_time_friendly}}</div> </mat-card-title> </mat-card-header> <mat-card-content> <div class=\"section-description-title\">DESCRIÇÃO DO JOB</div> <div class=\"job-description\" [innerHTML]=\"job.snippet\"></div> </mat-card-content> </mat-card> </span>",
                styles: [".card-job { margin: 0px 0px 30px 5px; border-bottom: 2px solid #00b1d9; cursor: pointer; } .card-job mat-card-title .job-title { font-size: 20px; font-weight: bold; } .card-job mat-card-title .viewsBlock { margin-bottom: 2px; } .card-job mat-card-title .viewsBlock .rating { margin-right: 10px; } .card-job mat-card-title .viewsBlock .rating .fa-star { color: #f5d800; } .card-job mat-card-title .viewsBlock .rating .fa-star-o { color: #f5d800; } .card-job mat-card-title .viewsBlock .views { margin-right: 10px; color: #00b1d9; } .card-job mat-card-title .viewsBlock .views i { color: #00b1d9; } .card-job mat-card-title .job-price { color: #00b1d9; } .card-job mat-card-content { margin: 0 8px; } .card-job mat-card-content .section-description-title { font-size: 15px; font-weight: bold; } .card-job mat-card-content .job-description { margin-top: 5px; margin-bottom: 15px; font-size: 15px; } .card-job mat-card-content .job-description .truncate { color: #00b1d9; cursor: pointer; } .card-job mat-card-content .card-footer { font-size: 15px; } .card-job mat-card-content .card-footer a { color: #00b1d9; text-decoration: underline; } .card-job mat-card-content .card-footer a .fa { color: #00b1d9; } "]
            },] },
];
/**
 * @nocollapse
 */
ResultJobComponent.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core.Inject, args: ['environments',] },] },
    { type: SearchService, },
    { type: router.Router, },
]; };
ResultJobComponent.propDecorators = {
    'result': [{ type: core.Input },],
    'filter': [{ type: core.Input },],
};

var FilterProComponent = (function () {
    /**
     * @param {?} _searchService
     */
    function FilterProComponent(_searchService) {
        var _this = this;
        this._searchService = _searchService;
        this.filterOutput = new core.EventEmitter();
        this.subscribeAllCities = new Rx.Subscription;
        this.toggle_categories = new Rx.Subscription;
        this.toggle_subcategories = new Rx.Subscription;
        this.categories = [];
        this.idCategory = -1;
        this.subcategories = [];
        this.subSelected = [];
        this.city = '';
        this.occupation = '';
        this.filter = {};
        hyperJobsServices.BroadcastEventService.event('clearFilter').subscribe(function (eventFilter) {
            console.log('clearFilter', eventFilter);
            _this.filter = eventFilter;
            _this.subSelected = [];
            _this.subcategories = [];
            _this.idCategory = -1;
            _this.city = '';
            _this.occupation = '';
        });
        this.toggle_categories = this._searchService.getCategories().subscribe(function (response) {
            if (response.return) {
                // this._toastrService.success(response.msg, 'Sucesso');
                // o que fazer
                _this.categories = response.data;
            }
            else {
                // this._toastrService.error(response.msg, 'Erro!');
            }
        }, function (err) {
            // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
        });
    }
    /**
     * @return {?}
     */
    FilterProComponent.prototype.ngOnInit = function () {
        this.cities();
        this.filterInit();
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.filterInit = function () {
        this.filter = this.filterInput;
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.cities = function () {
        var _this = this;
        this.subscribeAllCities = this._searchService.allCities().subscribe(function (data) {
            if (data.return) {
                _this.allCities = data.data;
            }
        });
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.selectCity = function () {
        this.filter['city'] = this.city || 'all';
        this.filterOutput.emit(this.filter);
        this.listCities = null;
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.searchOccupation = function () {
        if (this.occupation !== '' && this.filter['occupation'] !== this.occupation) {
            this.filter['occupation'] = this.occupation;
            this.filterOutput.emit(this.filter);
            return;
        }
        if (this.occupation === '' && this.filter['occupation'] !== 'all') {
            this.filter['occupation'] = 'all';
            this.filterOutput.emit(this.filter);
        }
    };
    /**
     * @param {?} value
     * @param {?=} maxResults
     * @return {?}
     */
    FilterProComponent.prototype.citiesSearch = function (value, maxResults) {
        if (maxResults === void 0) { maxResults = 10; }
        if (value === '' && this.filter['city'] !== 'all') {
            this.filter['city'] = 'all';
            this.listCities = [];
            this.filterOutput.emit(this.filter);
            return;
        }
        if (value === '') {
            this.listCities = [];
            return;
        }
        var /** @type {?} */ result = [];
        for (var /** @type {?} */ index$$1 = 0; index$$1 < this.allCities.length; index$$1++) {
            var /** @type {?} */ re = new RegExp(value, 'i');
            if (re.test(this.allCities[index$$1].city)) {
                result.push(this.allCities[index$$1]);
                if (result.length === maxResults) {
                    break;
                }
            }
        }
        this.listCities = result;
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterProComponent.prototype.getSubcategories = function (id) {
        var _this = this;
        if (this.idCategory !== id) {
            this.subSelected = [];
            this.idCategory = id;
            this.toggle_subcategories = this._searchService.getSubCategories(id).subscribe(function (response) {
                if (response.return) {
                    // this._toastrService.success(response.msg, 'Sucesso');
                    // o que fazer
                    _this.subcategories = response.data;
                }
                else {
                    // this._toastrService.error(response.msg, 'Erro!');
                }
            }, function (err) {
                // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
            });
        }
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterProComponent.prototype.getInterests = function (id) {
        var /** @type {?} */ haveId = this.subSelected.indexOf(id);
        if (haveId >= 0) {
            this.subSelected.splice(haveId, 1);
            if (this.subSelected.length < 1) {
                this.filter['interest'] = 'all';
            }
        }
        else {
            this.subSelected.push(id);
            this.filter['interest'] = this.subSelected.toString().replace(',', ' ');
        }
        this.filterOutput.emit(this.filter);
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.setAllCategories = function () {
        this.subSelected = [];
        this.subcategories = [];
        this.idCategory = -1;
    };
    /**
     * @param {?} grade
     * @return {?}
     */
    FilterProComponent.prototype.setAvaliation = function (grade) {
        this.filter['avaliation'] = grade;
        this.filterOutput.emit(this.filter);
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.ngOnDestroy = function () {
        this.subscribeAllCities.unsubscribe();
        this.toggle_categories.unsubscribe();
        this.toggle_subcategories.unsubscribe();
    };
    return FilterProComponent;
}());
FilterProComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'app-filter-pro',
                template: "<div class=\"filterBlock\"> <div class=\"cityBlock block\"> <label for=\"cityFilter\">Filtrar por Cidade</label> <div class=\"inputBlock\"> <input id=\"cityFilter\" [(ngModel)]=\"city\" type=\"text\" name=\"city\" (keypress)=\"citiesSearch(city)\" (keyup.enter)=\"selectCity()\" placeholder=\"Ex.: São Paulo\"> <button (click)=\"selectCity()\"> <i class=\"fa fa-search\" aria-hidden=\"true\"></i> </button> </div> <div class=\"resultsCities\" *ngIf=\"listCities\"> <ul class=\"citiesList\"> <ng-container *ngFor=\"let item of listCities\"> <li class=\"city\" (click)=\"selectCity(item.city); city = item.city \">{{ [item.city,item.uf,item.coutry].join(', ') }}</li> </ng-container> </ul> </div> </div> <div class=\"OccupationBlock  block\"> <label for=\"occupationFilter\">Filtrar por Profissão</label> <div class=\"inputBlock\"> <input id=\"occupationFilter\" [(ngModel)]=\"occupation\" type=\"text\" name=\"occupation\" (keyup.enter)=\"searchOccupation()\" placeholder=\"Ex.: Analista\"> <button (click)=\"searchOccupation()\"> <i class=\"fa fa-search\" aria-hidden=\"true\"></i> </button> </div> </div> <div class=\"InterestsBlock  block\"> <label for=\"interestFilter\">Área de interesse</label> <div id=\"interestFilter\"> <div class=\"pointer\" [ngClass]=\"idCategory === -1 ? 'option-active' : ''\" (click)=\"setAllCategories()\"> Todas as Áreas </div> <ng-container *ngFor=\"let category of categories\"> <div class=\"pointer\" [ngClass]=\"idCategory === category.id ? 'option-active' : ''\" (click)=\"getSubcategories(category.id)\"> {{category.description}} </div> <ng-container *ngIf=\"idCategory === category.id\"> <div class=\"checkbox-container\"> <!-- <div class=\"subcategory\"> <label> <input type=\"checkbox\"> <span>todas</span> </label> </div> --> <div class=\"subcategory\" *ngFor=\"let subcategory of subcategories\"> <input [id]=\"subcategory.id\" type=\"checkbox\" class=\"checkbox-hj\" (change)=\"getInterests(subcategory.id)\" value=\"subcategory.id\"> <label [for]=\"subcategory.id\" class=\"checkbox-hj-label\">{{subcategory.description}}</label> </div> </div> </ng-container> </ng-container> </div> </div> <div class=\"AvaliationBlock  block\"> <label for=\"avaliationFilter\">Avaliação</label> <div id=\"avaliationFilter\"> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === 'any' ? 'option-active' : ''\" (click)=\"setAvaliation('any')\">Qualquer Ranking</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '5' ? 'option-active' : ''\" (click)=\"setAvaliation('5')\">5 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '4' ? 'option-active' : ''\" (click)=\"setAvaliation('4')\">Pelo menos 4 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '3' ? 'option-active' : ''\" (click)=\"setAvaliation('3')\">Pelo menos 3 estrelas</div> <!-- <div [ngClass]=\"filter['avaliation'] === 'any' ? 'option-active' : ''\">Sem feedback</div> --> </div> </div> </div>",
                styles: ["label { width: 100%; color: #575757; margin: 10px 0; text-align: left; } .block { border-bottom: 1px solid #999; padding: 30px; } .filterBlock { background-color: #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .inputBlock { position: relative; } .inputBlock input { width: 100%; padding: 15px; height: 40px; border-radius: 30px; border: 1px solid #ccc; } .inputBlock button { position: absolute; right: 0; bottom: 0; top: 0; width: 40px; background: none; border: none; outline: none; border-radius: 0 30px 30px 0; } .inputBlock button i { color: inherit; } .resultsCities { position: relative; } .resultsCities .citiesList { position: absolute; z-index: 1; width: 100%; background-color: #fff; list-style: none; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .resultsCities .citiesList .city { padding: 10px 20px; text-align: left; cursor: pointer; } .resultsCities .citiesList .city:hover { font-weight: bold; } .option-active { color: #41c5d2; font-weight: bold; } .pointer { cursor: pointer; } .InterestsBlock ul li { font-size: 12px; } .btn-clear { text-align: center; } "]
            },] },
];
/**
 * @nocollapse
 */
FilterProComponent.ctorParameters = function () { return [
    { type: SearchService, },
]; };
FilterProComponent.propDecorators = {
    'filterOutput': [{ type: core.Output },],
    'filterInput': [{ type: core.Input },],
};

var ResultProComponent = (function () {
    /**
     * @param {?} environment
     */
    function ResultProComponent(environment) {
        this.environment = environment;
        this.meUrl = environment.meUrl;
    }
    /**
     * @param {?} photosList
     * @return {?}
     */
    ResultProComponent.prototype.moveLeft = function (photosList) {
        for (var /** @type {?} */ i = 0; i < 200; i++) {
            window.setTimeout(function () {
                photosList.scrollLeft -= 1;
            }, 150);
        }
    };
    /**
     * @param {?} photosList
     * @return {?}
     */
    ResultProComponent.prototype.moveRight = function (photosList) {
        for (var /** @type {?} */ i = 0; i < 200; i++) {
            window.setTimeout(function () {
                photosList.scrollLeft += 1;
            }, 150);
        }
    };
    /**
     * @param {?} id
     * @return {?}
     */
    ResultProComponent.prototype.expandJob = function (id) {
        // debugger;
        if (document.getElementById('jobs-' + id).style.display === 'block') {
            document.getElementById('jobs-' + id).style.display = 'none';
        }
        else {
            document.getElementById('jobs-' + id).style.display = 'block';
        }
    };
    /**
     * @param {?} interest
     * @return {?}
     */
    ResultProComponent.prototype.numberInterests = function (interest) {
        var /** @type {?} */ result = [];
        if (!interest.showMoreInterests && interest.listAreaInterest.split('¨|¨').length > 3) {
            for (var /** @type {?} */ n = 0; n < 3; n++) {
                result.push(interest.listAreaInterest.split('¨|¨')[n]);
                // interest.listAreaInterest.split('¨|¨');
            }
            return result;
        }
        else {
            return interest.listAreaInterest.split('¨|¨');
        }
    };
    return ResultProComponent;
}());
ResultProComponent.decorators = [
    { type: core.Component, args: [{
                // tslint:disable-next-line:component-selector
                selector: 'search-result-pro',
                template: "<div class=\"results\"> <div class=\"row\"> <ng-container *ngFor=\"let item of result; let id = index;\"> <div class=\"itemBlock col-lg-12 col-md-12 col-sm-12 col-xs-12\"> <div class=\"row\"> <div class=\"col-md-2 col-sm-4 col-xs-12\"> <div class=\"imageBlock\"> <img src=\"{{  item.photoUrl }}\" alt=\"{{ item.name }} \"> <span class=\"status {{ item.statusChat }}\"> </span> </div> </div> <div class=\"col-md-10 col-sm-8 col-xs-12\"> <div class=\"profileBlock\"> <div class=\"viewProfile\"> <a href=\"{{ meUrl+item.username }}\" class=\"btn blue pull-right\" target=\"_blank\">Ver Perfil</a> </div> <div class=\"name\">{{item.name}}</div> <div class=\"location\">{{item.city}} | {{item.state}}</div> <div class=\"viewsBlock\"> <span class=\"rating\"> <i class=\"fa fa-star{{item.ratingUser < 1?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 2?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 3?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 4?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 5?'-o':'' }}\" aria-hidden=\"true\"></i> </span> <span class=\"views\"> <i class=\"fa fa-eye\" aria-hidden=\"true\"></i> {{item.viewUser}} </span> <span class=\"views favorite\"> <i class=\"fa fa-heart-o\" aria-hidden=\"true\"></i> {{item.favoritesUser}} </span> </div> <div class=\"occupation\" *ngIf=\"item.occupation\"> <div class=\"ocupationText\">[ {{item.occupation}} ]</div> </div> <div class=\"info\" *ngIf=\"item.nrJobsDone\"> <span class=\"projects\"> Projetos Concluídos: <b>{{item.nrJobsDone}}</b> </span> <span class=\"startDate\"> Registrado desde: <b>{{ item.date | date:'d/M/y' }}</b> </span> </div> <div class=\"about\" *ngIf=\"item.bio\"> <div class=\"aboutTitle\">Sobre Mim</div> <div class=\"aboutText\">{{ (item.bio.length>200)? (item.bio | slice:0:200)+'...':(item.bio) }}</div> </div> <ul class=\"skills\" *ngIf=\"item.listAreaInterest\"> <ng-container *ngFor=\"let skill of numberInterests(item)\"> <li class=\"skillItem\">{{ skill.split('<|>')[1] }}</li> </ng-container> <li *ngIf=\"item.listAreaInterest.split('¨|¨').length > 3\" class=\"skillMore\" (click)=\"item.showMoreInterests = !item.showMoreInterests\"><i class=\"fa fa-{{item.showMoreInterests ? 'minus' : 'plus'}} fa-inverse\" aria-hidden=\"true\"></i></li> </ul> <!-- <div class=\"skillsShowMore\"> <i class=\"fa fa-plus fa-inverse\" aria-hidden=\"true\"></i> </div> --> <div class=\"jobsList\" *ngIf=\"item.listJobs\"> <div class=\"blockTitle row\" (click)=\"expandJob(id); item.showMoreJobs = !item.showMoreJobs\"> <div class=\"col-lg-8 col-md-8 col-sm-6 col-xs-12\"> <div class=\"title\">{{ item.listJobs.split('¨').length }} JOB{{ item.listJobs.split('¨').length > 1?'s':'' }}  <i class=\"fa fa-chevron-down {{item.showMoreJobs ? 'fa-rotate-180' : ''}}\" aria-hidden=\"true\"></i></div> </div> <!-- <div class=\"col-lg-4 col-md-4 col-sm-6 col-xs-12\"> <span class=\"title\">Preço por hora</span> </div> --> </div> <div id=\"jobs-{{id}}\" class=\"job row\"> <ng-container *ngFor=\"let job of item.listJobs.split('¨'); let idx = index \"> <a href=\"{{ meUrl+item.username+'/work/view/'+job.split(';')[0] }}\" *ngIf=\"idx < 5\" target=\"_blank\"> <div class=\" line col-lg-8 col-md-8 col-sm-6 col-xs-12\"> <h5 class=\"name\" title=\"{{ job.split(';')[1] }}\">{{ job.split(';')[1] }}</h5> </div> <div class=\"line col-lg-4 col-md-4 col-sm-6 col-xs-12 text-right\"> <div class=\"price\">{{ job.split(';')[2] }}</div> <div class=\"btnJob\"> <i class=\"fa fa-chevron-right\" aria-hidden=\"true\"></i> </div> </div> </a> <a class=\"btn blue pull-right\" href=\"{{ meUrl+item.username+'/work' }}\" *ngIf=\"idx === 5\">Ver Todos</a> </ng-container> </div> </div> <!-- <div class=\"photos\" *ngIf=\"item.listPhotos\"> <h4>Photos</h4> <div class=\"photosList\" #photoList> <ng-container *ngFor=\"let photo of item.listPhotos.split('¨|¨')\"> <a href=\"{{photo.split('<|>')[0]}}\" target=\"_blank\"> <img src=\"{{photo.split('<|>')[2]}}\"> </a> </ng-container> </div> <button class=\"left button hidden-sm hidden-xs\" (click)=\"moveLeft(photoList)\"><i class=\"fa fa-arrow-left\" aria-hidden=\"true\"></i></button> <button class=\"right button  hidden-sm hidden-xs\" (click)=\"moveRight(photoList)\"><i class=\"fa fa-arrow-right\" aria-hidden=\"true\"></i></button> </div> --> </div> </div> </div> </div> </ng-container> </div> </div>",
                styles: [".results { font-size: 16px; } .results .row { margin-right: 0; } .results .itemBlock { background-color: #fff; padding: 20px; margin-bottom: 15px; -webkit-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); -moz-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); -ms-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); -o-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); } .results .itemBlock .imageBlock { position: relative; } .results .itemBlock .imageBlock img { height: 80px; width: 80px; border: 5px solid #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -webkit-border-radius: 50%; -moz-border-radius: 50%; -ms-border-radius: 50%; -o-border-radius: 50%; border-radius: 50%; } .results .itemBlock .imageBlock .status { position: absolute; bottom: 20px; left: 45px; } .results .itemBlock .profileBlock { text-align: left; } .results .itemBlock .profileBlock .name { font-size: 20px; color: #333; } .results .itemBlock .profileBlock .location { font-size: 14px; } .results .itemBlock .profileBlock .viewProfile .btn { margin: 0px; padding: 5px 40px; font-weight: lighter; } .results .itemBlock .profileBlock .viewProfileButton { border: none; padding: 10px 20px; color: #fff; font-weight: bold; background-color: #007acc; text-decoration: none; margin-top: 15px; } .results .itemBlock .profileBlock .viewProfileButton:hover, .results .itemBlock .profileBlock .viewProfileButton:active { background-color: #0068AD; } .results .itemBlock .profileBlock .viewsBlock { margin-bottom: 10px; } .results .itemBlock .profileBlock .viewsBlock .rating { margin-right: 10px; } .results .itemBlock .profileBlock .viewsBlock .rating .fa-star { color: #f5d800; } .results .itemBlock .profileBlock .viewsBlock .rating .fa-star-o { color: #333; } .results .itemBlock .profileBlock .viewsBlock .views { margin-right: 10px; color: #333; } .results .itemBlock .profileBlock .viewsBlock .views i { color: #333; } .results .itemBlock .profileBlock .viewsBlock .favorite { margin-right: 10px; } .results .itemBlock .profileBlock .viewsBlock .favorite .fa-heart { color: #B80000; } .results .itemBlock .profileBlock .viewsBlock .favorite .fa-heart-o { color: #333; } .results .itemBlock .profileBlock .occupation .ocupationText { font-size: 14px; } .results .itemBlock .profileBlock .info { margin-bottom: 10px; font-size: 14px; } .results .itemBlock .profileBlock .info .projects { margin-right: 15px; } .results .itemBlock .profileBlock .info .projects b { color: #00b0db; } .results .itemBlock .profileBlock .info .startDate b { color: #00b0db; } .results .itemBlock .profileBlock .about { font-size: 1.8rem; margin-bottom: 5px; } .results .itemBlock .profileBlock .about .aboutTitle { color: #00b0db; font-weight: 600; font-size: 16px; } .results .itemBlock .profileBlock .about .aboutText { font-size: 16px; line-height: 18px; font-weight: lighter; } .results .itemBlock .profileBlock .about p { font-size: 1.6rem; } .results .itemBlock .profileBlock .skills { list-style: none; width: 100%; min-height: 40px; padding-left: 0; } .results .itemBlock .profileBlock .skills .skillItem { font-size: 14px; display: inline-block; background-color: #00b1d9; padding: 4px 15px; margin: 5px 3px 5px 0; -webkit-border-radius: 5px; -moz-border-radius: 5px; -ms-border-radius: 5px; -o-border-radius: 5px; border-radius: 5px; color: #fff; } .results .itemBlock .profileBlock .skills .skillMore { font-size: 14px; display: inline-block; background-color: #82878c; padding: 4px 15px; margin: 5px 3px 5px 0; -webkit-border-radius: 5px; -moz-border-radius: 5px; -ms-border-radius: 5px; -o-border-radius: 5px; border-radius: 5px; } .results .itemBlock .profileBlock .jobsList .blockTitle { padding: 5px; border-bottom: 1px solid #333; } .results .itemBlock .profileBlock .jobsList .blockTitle .title { color: #00b0db; font-size: 16px; font-weight: 600; } .results .itemBlock .profileBlock .jobsList .job { display: none; font-weight: 600; font-size: 14px; line-height: 1; } .results .itemBlock .profileBlock .jobsList .job .line { border-bottom: 1px solid #E5E5E5; padding: 5px; } .results .itemBlock .profileBlock .jobsList .job .text-right { text-align: right; } .results .itemBlock .profileBlock .jobsList .job .name { font-weight: 600; font-size: 14px; color: #333; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; } .results .itemBlock .profileBlock .jobsList .job .price { color: #76A824; display: inline-block; margin-right: 45px; } .results .itemBlock .profileBlock .jobsList .job .btnJob { display: inline-block; text-align: center; margin-top: -1px; margin-right: 10px; float: right; } .results .itemBlock .profileBlock .jobsList .job .btnJob i { color: #333; } .results .itemBlock .profileBlock .photos { padding: 10px 15px; position: relative; } .results .itemBlock .profileBlock .photos h4 { font-weight: 600; font-size: 1.8rem; color: #333; padding-top: 10px; margin-bottom: 15px; } .results .itemBlock .profileBlock .photos .photosList { background-color: #fff; width: 100%; white-space: nowrap; overflow: auto; overflow: -moz-scrollbars-none; } .results .itemBlock .profileBlock .photos .photosList::-webkit-scrollbar { display: none; } .results .itemBlock .profileBlock .photos .photosList img { display: inline; margin: 0 auto; height: 100px; } .results .itemBlock .profileBlock .photos .button { position: absolute; bottom: 30%; background-color: #fff; border: none; outline: none; width: 35px; height: 35px; display: inline-block; text-align: center; margin: 0 15px; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); cursor: pointer; -webkit-border-radius: 50%; -moz-border-radius: 50%; -ms-border-radius: 50%; -o-border-radius: 50%; border-radius: 50%; } .results .itemBlock .profileBlock .photos .button i { color: #333; } .results .itemBlock .profileBlock .photos .right { right: -40px; } .results .itemBlock .profileBlock .photos .left { left: -40px; } "]
            },] },
];
/**
 * @nocollapse
 */
ResultProComponent.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core.Inject, args: ['environments',] },] },
]; };
ResultProComponent.propDecorators = {
    'result': [{ type: core.Input },],
    'filter': [{ type: core.Input },],
};

var SearchTopComponent = (function () {
    /**
     * @param {?} _searchService
     * @param {?} _toastrService
     */
    function SearchTopComponent(_searchService, _toastrService) {
        this._searchService = _searchService;
        this._toastrService = _toastrService;
        this.typeSearch = 'job';
        this.filterDefault = {};
        this.selected = 'pro';
        this.searchInit = true;
        this.listResult = new core.EventEmitter();
        this.haveResults = new core.EventEmitter();
        this.filter = {};
        this.filterSeach = {};
        this.searched = false;
        this.searchFor = '';
        this.searchTypeDefault = 'job';
        this.backgroundColorDefault = '#262c34';
        this.render = '';
        this.sortType = [];
        this.subscribeSearch = new Rx.Subscription;
        this.subscribeMoreResults = new Rx.Subscription;
        this.searching = false;
        this.ordenation = false;
        this.sortType = {
            pro: [
                { key: 'all', text: 'Mais Recentes' },
                { key: 'nameAsc', text: 'Nome [A - Z]' },
                { key: 'nameDesc', text: 'Nome [Z - A]' },
                { key: 'procurDesc', text: 'Mais Populares' },
                { key: 'procurAsc', text: 'Menos Populares' },
                { key: 'precoDesc', text: 'Maior Salário' },
                { key: 'precoAsc', text: 'Menor Salário' },
                { key: 'statusDesc', text: 'Online' }
            ],
            job: [
                { key: 'all', text: 'Mais Recentes' },
                { key: 'nameAsc', text: 'Nome [A - Z]' },
                { key: 'nameDesc', text: 'Nome [Z - A]' },
                { key: 'ratingDesc', text: 'Avaliação [0 - 5]' },
                { key: 'ratingAsc', text: 'Avaliação [5 - 0]' },
                { key: 'salaryDesc', text: 'Maior Salário' },
                { key: 'salaryAsc', text: 'Menor Salário' },
                { key: 'favoriteDesc', text: 'Mais Favoritados' },
                { key: 'favoriteAsc', text: 'Menos Favoritados' },
                { key: 'viewDesc', text: 'Mais Vistos' },
                { key: 'viewAsc', text: 'Menos Vistos' }
            ]
        };
    }
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.ngOnInit = function () {
        this.auxTypeSearch = this.typeSearch;
        if (this.typeSearch === 'all') {
            this.typeSearch = this.selected;
            this.setDefaultFilter();
        }
        else {
            this.setDefaultFilter();
            if (this.searchInit) {
                this.search();
                this.searched = true;
            }
        }
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.setDefaultFilter = function () {
        var /** @type {?} */ newFilter = this.filterDefault;
        var /** @type {?} */ tpy = this.typeSearch;
        var /** @type {?} */ scopeFilter = {
            pro: {
                city: 'all',
                occupation: 'all',
                status: '',
                category: '',
                last_days: '',
                type_opportunities: '',
                post: '',
                interest: 'all',
                avaliation: 'any',
                field: 'none',
                order: 'all',
                page: 1,
                quantity: 20,
                search: '',
                id_category: '',
            },
            job: {
                search: '',
                date: 'all',
                avaliation: 'any',
                city: 'all',
                field: 'all',
                interest: 'all',
                jobtype: 'all',
                language: 'all',
                location: 'national',
                order: 'all',
                page: 1,
                quantity: 20,
                posted: 'all'
            },
        };
        Object.keys(newFilter).forEach(function (key) {
            var /** @type {?} */ value = newFilter[key];
            if (scopeFilter[tpy][key] !== undefined) {
                scopeFilter[tpy][key] = value;
            }
        });
        this.filter = scopeFilter;
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.getFilter = function () {
        return this.filter[this.typeSearch];
    };
    /**
     * @param {?} key
     * @param {?} valeu
     * @return {?}
     */
    SearchTopComponent.prototype.setFilter = function (key, valeu) {
        this.filter[this.typeSearch][key] = valeu;
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.search = function () {
        console.log(this.typeSearch, this.getFilter());
        this.setFilter('page', 1);
        this.setFilter('search', this.searchFor || 'all');
        this.searching = true;
        this.haveResults.emit(true);
        this.results = [];
        this.render = this.typeSearch;
        switch (this.typeSearch) {
            case 'pro':
                this.searchProfessionals();
                break;
            case 'job':
                if (this.getFilter()['location'] === 'international') {
                    this.searchZipRecruiter();
                }
                else {
                    this.searchOportunities();
                }
                break;
        }
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.searchZipRecruiter = function () {
        var _this = this;
        var /** @type {?} */ objFilter = {
            search: this.searchFor ? this.searchFor : 'home',
            location: this.getFilter()['city'],
            radius_miles: 'all',
            page: '1',
            jobs_per_page: '20',
            days_ago: this.getFilter()['posted']
        };
        this.subscribeSearch = this._searchService.getZipRecruiter(objFilter).subscribe(function (response) {
            if (response.return) {
                _this.results = response.data.jobs;
                _this.searching = false;
                _this.lenResult = response.data.total_jobs;
            }
            else {
                _this._toastrService.warning(response.msg, 'Atenção');
            }
        }, function (err) {
            _this._toastrService.error('Ocorreu um erro', 'Erro');
        });
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.searchOportunities = function () {
        var _this = this;
        this.subscribeSearch = this._searchService.searchJob(this.getFilter()).subscribe(function (data) {
            if (data.return) {
                _this.results = data.data;
                _this.results.forEach(function (element) {
                    if (element.description.length > 170) {
                        element.needTruncate = true;
                        element.truncateText = ' Ver Mais';
                        element.truncated = true;
                    }
                    else {
                        element.needTruncate = false;
                        element.truncated = false;
                    }
                });
                _this.searching = false;
                _this.lenResult = data.totalRow;
            }
        });
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.searchProfessionals = function () {
        var _this = this;
        this.subscribeSearch = this._searchService.searchPro(this.getFilter()).subscribe(function (data) {
            if (data.return) {
                _this.results = data.data;
                _this.results.forEach(function (element) {
                    element.showMoreInterests = false;
                    element.showMoreJobs = false;
                });
                _this.searching = false;
                _this.lenResult = +(data.totalRow);
            }
        });
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.moreResults = function () {
        var _this = this;
        if (this.lenResult <= this.results.length) {
            return;
        }
        this.setFilter('page', this.getFilter()['page'] + 1);
        if (this.typeSearch === 'pro') {
            this.subscribeMoreResults = this._searchService.searchPro(this.getFilter()).subscribe(function (data) {
                if (data.return) {
                    if (_this.results) {
                        _this.results = _this.results.concat(data.data);
                    }
                    else {
                        _this.results = data.data;
                    }
                    // this.listResult.emit(this.results);
                }
            });
        }
        else {
            this.subscribeSearch = this._searchService.searchJob(this.getFilter()).subscribe(function (data) {
                if (data.return) {
                    // debugger;
                    data.data.forEach(function (element) {
                        if (element.description.length > 170) {
                            element.needTruncate = true;
                            element.truncateText = ' Ver Mais';
                            element.truncated = true;
                        }
                        else {
                            element.needTruncate = false;
                            element.truncated = false;
                        }
                    });
                    if (_this.results) {
                        _this.results = _this.results.concat(data.data);
                    }
                    else {
                        _this.results = data.data;
                    }
                }
            });
        }
    };
    /**
     * @param {?} order
     * @return {?}
     */
    SearchTopComponent.prototype.setOrder = function (order) {
        if (this.ordenation && this.getFilter()['order'] !== order) {
            this.setFilter('order', order);
            this.search();
        }
    };
    /**
     * @param {?=} event
     * @return {?}
     */
    SearchTopComponent.prototype.setFilterSearch = function (event) {
        if (event === void 0) { event = null; }
        var /** @type {?} */ _self = this;
        Object.keys(event).forEach(function (key) {
            _self.setFilter(key, event[key]);
        });
        this.results = [];
        this.lenResult = 0;
        this.search();
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.closeSearch = function () {
        this.clearFilters();
        this.results = [];
        this.lenResult = 0;
        this.ordenation = false;
        this.searched = false;
        this.haveResults.emit(false);
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.clearFilters = function () {
        this.setDefaultFilter();
        hyperJobsServices.BroadcastEventService.event('clearFilter').emit(this.getFilter());
        this.search();
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.ngOnDestroy = function () {
        this.subscribeSearch.unsubscribe();
        this.subscribeMoreResults.unsubscribe();
    };
    return SearchTopComponent;
}());
SearchTopComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'search-top',
                template: "<div [style.background]=\"backgroundColor ? backgroundColor : backgroundColorDefault\" class=\"search\"> <div class=\"container container-wal\"> <div class=\"cont\"> <mat-select class=\"selectSearchFilter\" [(ngModel)]=\"typeSearch\" *ngIf=\"auxTypeSearch === 'all'\" (change)=\"clearFilters(); searched = true\"> <mat-option class=\"optionSelectSearchFilter\" *ngIf=\"auxTypeSearch === 'pro' || auxTypeSearch === 'all'\" value=\"pro\">Buscar profissionais ou serviços</mat-option> <mat-option class=\"optionSelectSearchFilter\" *ngIf=\"auxTypeSearch === 'job' || auxTypeSearch === 'all'\" value=\"job\">Buscar Oportunidades</mat-option> </mat-select> <div class=\"contentOnly\"> <div class=\"onlyPro\" *ngIf=\"auxTypeSearch === 'pro'\">Buscar profissionais ou serviços</div> <div class=\"onlyJob\" *ngIf=\"auxTypeSearch === 'job'\">Buscar Oportunidades</div> </div> <mat-input-container class=\"inputSearchFilter mr1\" floatPlaceholder=\"never\"> <input [(ngModel)]=\"searchFor\" type=\"text\" class=\"inputSearch\" name=\"filter\" placeholder=\"Busque aqui\" (keyup.enter)=\"search(); searched = true\" matInput pattern=\"[a-zA-Z0-9\s]+\"> </mat-input-container> <span class=\"questSearch\" (click)=\"search(); searched = true\"> <i class=\"material-icons\">search</i> </span> </div> </div> </div> <div *ngIf=\"searched\" class=\"container\"> <div class=\"row col-xs-12\"> <div class=\"msgResult padding-30\" *ngIf=\"!searching\"> <h3>Resultados da Pesquisa</h3> <div class=\"msg no-results\" *ngIf=\"lenResult==0\">Não foram encontrados resultados com o parâmetros informados!</div> <div class=\"msg\" *ngIf=\"lenResult==1\">Foi encontrado 1 resultado.</div> <div class=\"msg\" *ngIf=\"lenResult>1\">Foram encontrados {{lenResult?.toLocaleString('pt-BR')}} resultados.</div> </div> <div class=\"pull-right btn gray m-t-15\" (click)=\"closeSearch()\"> <i class=\"fa fa-arrow-left\" aria-hidden=\"true\"></i> Voltar </div> </div> <div class=\"clearfix\"></div> <ng-container> <div class=\"col-md-4 col-sm-12\"> <div class=\"padding-30 clear-filter\"> <div class=\"pull-left filt\" (click)=\"clearFilters()\"> <i class=\"fa fa-filter\" aria-hidden=\"true\"></i> Limpar filtros </div> </div> <app-filter-pro *ngIf=\"render === 'pro'\" (filterOutput)=\"setFilterSearch($event)\" [filterInput]=\"getFilter()\"></app-filter-pro> <app-filter-job *ngIf=\"render === 'job'\" (filterOutput)=\"setFilterSearch($event)\" [filterInput]=\"getFilter()\"></app-filter-job> </div> <div class=\"col-md-8 col-sm-12\"> <div class='sorterList row' (click)=\"ordenation = !ordenation\"> <div class=\"title\">Ordernar por:</div> <ul class=\"sort\" [ngClass]=\"ordenation ? 'box':''\"> <li *ngFor=\"let sort of sortType[typeSearch]\" class='item' [ngClass]=\"ordenation || getFilter()['order'] === sort.key ? 'active':'inactive'\" (click)=\" setOrder(sort.key)\">{{sort.text}} <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> </ul> </div> <search-result-pro *ngIf=\"render === 'pro'\" [(result)]=\"results\" [filter]=\"getFilter()\"></search-result-pro> <search-result-job *ngIf=\"render === 'job'\" [(result)]=\"results\" [filter]=\"getFilter()\"></search-result-job> <div class=\"conteMoreResults\" *ngIf=\"results.length < lenResult && results.length > 0\"> <span class=\"txt\" (click)=\"moreResults()\">Mais resultados</span> </div> </div> </ng-container> </div>",
                styles: [".full-color { width: 100%; background-color: #575757; } .full-color .inputBlock { position: relative; max-width: 600px; margin: 0 auto; } .full-color .inputBlock input { width: 100%; height: 45px; padding: 14px 35px; font-size: 18px; color: #999; background-color: #fff; border: 1px solid #999; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); outline: none; } .full-color .inputBlock button { position: absolute; top: 1px; bottom: 1px; right: 1px; width: 50px; border: none; outline: none; background-color: #007acc; } .full-color .inputBlock button i { color: #fff; } .msgResult { text-align: left; margin-top: 10px; margin-left: 15px; font-size: 1.7rem; color: #575757; display: inline-block; } .msgResult .title { font-weight: bold; } .msgResult .no-results { color: #ff6060; } .clear-filter { display: flex; height: 45px; align-items: center; } .clear-filter .filt { cursor: pointer; } .m-t-15 { margin-top: 15px; } .sorterList { width: 100%; text-align: left; position: relative; margin-top: 10px; color: #575757; cursor: pointer; } .sorterList .title { display: inline-block; font-weight: bold; padding: 5px 25px 10px 0; } .sorterList .sort { list-style: none; display: inline-block; padding: 0; height: 15px; } .sorterList .sort .item { color: #575757; padding: 5px 10px 10px 20px; margin-bottom: 5px; } .sorterList .sort .item .fa-caret-down { margin-left: 10px; } .sorterList .sort .item.inactive { display: none; } .sorterList .sort .item.active { display: block; } .sorterList .sort.box { position: absolute; background-color: #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); outline: none; z-index: 1; height: auto; } .sorterList .sort.box .item { display: block; } .sorterList .sort.box .item .fa-caret-down { display: none; } .sorterList .sort.box .item:hover { color: #007acc; } .conteMoreResults { text-align: center; padding: 20px 10px; } .conteMoreResults .txt { cursor: pointer; padding: 10px; background: #007acc; text-transform: uppercase; color: #fff; display: inline-block; } input { border: none; } .selectSearchFilter { width: 50% !important; } @media screen and (max-width: 767px) { .selectSearchFilter { border-radius: 30px 0 0 30px; } } @media screen and (max-width: 600px) { .selectSearchFilter { width: 100% !important; border-radius: 30px; } } .selectSearchFilter + span { width: 100%; } .onlyPro, .onlyJob { padding: 9px 5px 0px 20px; background: #00c1cb !important; color: #fff; border-radius: 30px 0px 0px 30px; border-bottom: 1px solid #82878c; min-width: 235px; display: inline-block; height: 38px; } @media screen and (max-width: 600px) { .onlyPro, .onlyJob { border-radius: 30px; width: 100%; } } .mat-select { padding: 3px 5px 3px 15px; margin: 0 !important; background: #00b0db !important; } .optionSelectSearchFilter { background: #00b0db !important; color: white !important; } .container-wal { display: flex; align-items: center; height: 74px; } .container-wal .cont { display: flex; margin: 0 auto; position: relative; } @media screen and (max-width: 600px) { .container-wal .cont { display: block; margin-top: 35px; } } .search { width: 100%; margin: 0 auto 12px; background: #262c34; } .search .mat-select-value { color: white !important; } .search .mat-option.mat-selected.mat-primary, .search .mat-primary .mat-option.mat-selected { color: #f2f2f2 !important; } .search .mat-form-field-flex { background: transparent; } .search .cont { width: 75%; } @media screen and (max-width: 767px) { .search { display: block; width: 100%; } } .search .mr1 { margin-right: -1px; } .search .inputSearch { background: white; border: none; border-radius: 0 30px 30px 0; min-height: 37px; width: 100%; padding-right: 35px; } .search .inputSearchFilter { width: 100%; border-radius: 0px; } @media screen and (max-width: 767px) { .search .inputSearchFilter { margin: 0; } } @media screen and (max-width: 600px) { .search .inputSearchFilter { margin: 10px 0; } .search .inputSearchFilter input { border-radius: 30px; width: 100%; } } .search .cepFilter .inputSearch { border-left: 1px solid #ccc; } @media screen and (max-width: 767px) { .search .cepFilter { width: 75%; } } .search .btnSearchFilter { background-image: -webkit-linear-gradient(0deg, #211e71, #00aeef); background-image: -moz-linear-gradient(0deg, #211e71, #00aeef); background-image: -ms-linear-gradient(0deg, #211e71, #00aeef); background-image: -o-linear-gradient(0deg, #211e71, #00aeef); background-image: linear-gradient(0deg, #211e71, #00aeef); border: none; height: 38px; border-radius: 0 20px 20px 0; width: 50px; display: flex; align-items: center; color: white; } .search .btnSearchFilter .text { margin: 0 0 0 auto; } .search .btnSearchFilter i { color: white; font-size: 18px; } @media screen and (max-width: 767px) { .search .btnSearchFilter i { width: 30px; margin: 0 auto 0 0; } } @media screen and (max-width: 767px) { .search .btnSearchFilter { border-radius: 25px; margin: 5px; width: 75%; margin: 5px auto; } } .search .questSearch { top: 7px; position: absolute; width: 20px; height: 20px; right: 13px; cursor: pointer; } @media screen and (max-width: 600px) { .search .questSearch { top: 54px; } } .search .questSearch:after { color: #ccc; content: \"\f002\"; font-family: FontAwesome; } .search .closeSearch { top: 37px; position: absolute; width: 20px; height: 20px; right: 25px; cursor: pointer; } .search .closeSearch:after { color: #ccc; content: \"\f00d\"; font-family: FontAwesome; } .corHyper { display: inline-block; margin-top: 10px; color: #00c1cb; cursor: pointer; } .corHyper .fa { color: #00c1cb; font-size: 18px; } .padding-30 { padding-left: 30px; padding-right: 30px; } .inputSearchFilter .mat-input-infix { border-radius: 0 50px 50px 0; } @media screen and (max-width: 767px) { .inputSearchFilter { width: 75%; margin: 0; } } "]
            },] },
];
/**
 * @nocollapse
 */
SearchTopComponent.ctorParameters = function () { return [
    { type: SearchService, },
    { type: index$1.ToastrService, },
]; };
SearchTopComponent.propDecorators = {
    'backgroundColor': [{ type: core.Input },],
    'typeSearch': [{ type: core.Input },],
    'filterDefault': [{ type: core.Input },],
    'selected': [{ type: core.Input },],
    'searchInit': [{ type: core.Input },],
    'listResult': [{ type: core.Output },],
    'haveResults': [{ type: core.Output },],
};

var SearchGeneralModule = (function () {
    function SearchGeneralModule() {
    }
    /**
     * @param {?} environments
     * @return {?}
     */
    SearchGeneralModule.forRoot = function (environments) {
        return {
            ngModule: SearchGeneralModule,
            providers: [
                SearchService,
                { provide: 'environments', useValue: environments },
            ]
        };
    };
    return SearchGeneralModule;
}());
SearchGeneralModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [
                    common.CommonModule,
                    http.HttpModule,
                    platformBrowser.BrowserModule,
                    forms.FormsModule,
                    material.MatSelectModule,
                    material.MatInputModule,
                    material.MatCardModule,
                    index.TruncateModule,
                    index$1.ToastrModule.forRoot({
                        timeOut: 5000,
                        enableHtml: true,
                        progressBar: true,
                        positionClass: 'toast-top-right',
                        closeButton: true,
                        preventDuplicates: true
                    })
                ],
                declarations: [
                    SearchTopComponent,
                    ResultJobComponent,
                    ResultProComponent,
                    FilterJobComponent,
                    FilterProComponent
                ],
                exports: [
                    SearchTopComponent,
                    ResultJobComponent,
                    ResultProComponent,
                    FilterJobComponent,
                    FilterProComponent
                ]
            },] },
];
/**
 * @nocollapse
 */
SearchGeneralModule.ctorParameters = function () { return []; };

exports.SearchGeneralModule = SearchGeneralModule;
exports.SearchService = SearchService;
exports.ResultProComponent = ResultProComponent;
exports.SearchTopComponent = SearchTopComponent;
exports.FilterProComponent = FilterProComponent;

Object.defineProperty(exports, '__esModule', { value: true });

})));
